| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::HighLevelGpuProgramFactory Class Referenceabstract
Core » Resources

Interface definition for factories of HighLevelGpuProgram. More...

`#include <OgreHighLevelGpuProgramManager.h>`

Inheritance diagram for Ogre::HighLevelGpuProgramFactory:
[legend]

## Public Member Functions
| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()
virtual HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)=0
virtual void | destroy (HighLevelGpuProgram *prog)=0
virtual const String & | getLanguage (void) const =0
| Get the name of the language this factory creates programs for. More...

## Detailed Description

Interface definition for factories of HighLevelGpuProgram.

## Constructor & Destructor Documentation

## ◆ HighLevelGpuProgramFactory()

Ogre::HighLevelGpuProgramFactory::HighLevelGpuProgramFactory | ( |  | ) |
| inline

## ◆ ~HighLevelGpuProgramFactory()

virtual Ogre::HighLevelGpuProgramFactory::~HighLevelGpuProgramFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getLanguage()

virtual const String& Ogre::HighLevelGpuProgramFactory::getLanguage | ( | void |  | ) | const
| pure virtual

Get the name of the language this factory creates programs for.

Implemented in Ogre::UnifiedHighLevelGpuProgramFactory, Ogre::CgProgramFactory, Ogre::GLSLShaderFactory, Ogre::GLSL::GLSLProgramFactory, Ogre::GLSLESProgramFactory, Ogre::GLSLESCgProgramFactory, Ogre::D3D11HLSLProgramFactory, and Ogre::D3D9HLSLProgramFactory.

## ◆ create()

virtual HighLevelGpuProgram* Ogre::HighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) |  |
| pure virtual

Implemented in Ogre::UnifiedHighLevelGpuProgramFactory, Ogre::CgProgramFactory, Ogre::GLSLShaderFactory, Ogre::GLSL::GLSLProgramFactory, Ogre::GLSLESProgramFactory, Ogre::GLSLESCgProgramFactory, Ogre::D3D11HLSLProgramFactory, and Ogre::D3D9HLSLProgramFactory.

## ◆ destroy()

virtual void Ogre::HighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| pure virtual

Implemented in Ogre::UnifiedHighLevelGpuProgramFactory, Ogre::CgProgramFactory, Ogre::GLSLShaderFactory, Ogre::GLSL::GLSLProgramFactory, Ogre::GLSLESProgramFactory, Ogre::D3D11HLSLProgramFactory, Ogre::D3D9HLSLProgramFactory, and Ogre::GLSLESCgProgramFactory.

The documentation for this class was generated from the following file:

- OgreHighLevelGpuProgramManager.h